NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_runonce(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_runonce - Run Tcl script only once

## Table Of Contents

## Synopsis

- ns_runonce ?-global? ?--? script

## Description

This command ensirres that the script will be run only one time even if the file will be loaded several times

## COMMANDS

ns_runonce ?-global? ?--? script

  -global If specified run the command in global context otherwise in current virtual server

  script Tcl script to run

## EXAMPLES

    ns_runonce {
        ns_cache_create mycache 0
    }

## See Also

nsd

## Keywords

NaviServer